Search for Existed Withdraws and Deposits

This endpoint searches for all existed withdraws and deposits and return their latest status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
State value range: withdraw states:
statedescription
submittedWithdraw request submitted successfully
reexamineUnder examination for withdraw validation
canceledWithdraw canceled by user
passWithdraw validation passed
rejectWithdraw validation rejected
pre-transferWithdraw is about to be released
wallet-transferOn-chain transfer initiated
wallet-rejectTransfer rejected by chain
confirmedOn-chain transfer completed with one confirmation
confirm-errorOn-chain transfer faied to get confirmation
repealedWithdraw terminated by system

deposit states:

statedescription
unknownOn-chain transfer has not been received
confirmingOn-chain transfer waits for first confirmation
confirmedOn-chain transfer confirmed for at least one block
safeMultiple on-chain confirmation happened
orphanConfirmed but currently in an orphan branch
/* GET /v1/query/deposit-withdraw?currency=xrp&type=deposit&from=5&size=12 */
{
    "status": "ok",
    "data": [
      {
        "id": 1171,
        "type": "deposit",
        "currency": "xrp",
        "tx-hash": "ed03094b84eafbe4bc16e7ef766ee959885ee5bcb265872baaa9c64e1cf86c2b",
        "amount": 7.457467,
        "address": "rae93V8d2mdoUQHwBDBdM4NHCMehRJAsbm",
        "address-tag": "100040",
        "fee": 0,
        "state": "safe",
        "created-at": 1510912472199,
        "updated-at": 1511145876575
      },
     ...
    ]
}
Query Params
string
required

The crypto currency to withdraw

string
enum
required

Define transfer type to search
range: [deposit, withdraw]

Allowed:
string
required

The transfer id to begin search

string
required

The number of items to return

Response

Language
LoadingLoading…
Response
Choose an example:
application/json